#include "TypeTraitsTest.h"
#include <type_traits>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( TypeTraitsTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( TypeTraitsTest );

void TypeTraitsTest::setUp() {
}

void TypeTraitsTest::tearDown() {
}

void TypeTraitsTest::testIsBaseOf() {
	CPPUNIT_ASSERT( ( std::is_base_of_any<int, int, std::string, TypeTraitsTest::test>::value ) == true );
	CPPUNIT_ASSERT( ( std::is_base_of<int, int>::value ) == true );
	CPPUNIT_ASSERT( ( std::is_base_of<int, std::string>::value ) == false );
	CPPUNIT_ASSERT( ( std::is_base_of<int, TypeTraitsTest::test>::value ) == false );
}

