#ifndef GRAPH_TEST_H_
#define GRAPH_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

#include "graph/directed/DirectedGraph.h"
#include "graph/undirected/UndirectedGraph.h"

class GraphTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(GraphTest);
	CPPUNIT_TEST(testStringParser);
	CPPUNIT_TEST_SUITE_END();

public:
	void testStringParser();

	void testStringParser_impl(graph::REPRESENTATION representation);
};

#endif	// GRAPH_TEST_H_
